Hulpartikel overzicht

Hulpartikel

Probeer BladeVPS een maand gratis

Maak van jouw volgende website of applicatie een succes op BladeVPS PureSSD. Probeer direct of een self-managed VPS iets voor jou is; de eerste maand krijg je van ons :-)!

Start nu je gratis maand

Ik wil de PHP-versie van mijn website wijzigen

Bij al onze webhostingpakketten wordt standaard PHP geleverd, een scripttaal die bedoeld is om op webservers dynamische webpagina's te creëren. Van deze taal bestaan verschillende versies, waarbij het bij TransIP mogelijk is om tussen verschillende versies te schakelen. Op dit moment bieden wij ondersteuning voor PHP 7.2 en PHP 7.3.

De PHP-versie van je webhostingpakket is van invloed op de snelheid en veiligheid van je website. Des te nieuwer de PHP-versie, des te veiliger (en vaak ook sneller) deze is.

  • Webhostingpakketten die nieuw worden besteld en geactiveerd maken standaard gebruik van PHP 7.3.
  • Webhostingpakketten die ouder zijn dan 9 juli 2019 kunnen nog wel gebruik maken van PHP 7.1.

Let op: De ondersteuning voor PHP 7.1 loopt aan het einde van het jaar af. Om die reden zullen we PHP 7.1 op 26 november 2019 uitschakelen op onze webhostingpakketten en iedere klant met webhosting omzetten naar PHP 7.3. Zorg er daarom voor dat jouw website op tijd klaar is om met PHP 7.3 om te gaan!

Upgraden van PHP 7.1 naar PHP 7.2 en hoger

Zoals vermeld wordt PHP 7.1 binnenkort niet langer ondersteund. Als je je website niet tijdig klaar maakt voor PHP 7.3, zal (een deel van) je website vanaf 26 november 2019 mogelijk niet meer volledig functioneren.

Gebruik je een WordPress-website? Zorg dan dat je WordPress zelf en je plug-ins en themes updatet. De meeste plug-ins en themes zijn al lange tijd compatible met PHP 7.3, dus is het updaten ervan doorgaans voldoende.

Als je een ander type PHP-website gebruikt, is het van belang dat je je website klaar maakt om met PHP 7.3 om te gaan. Bepaalde functies die in PHP 7.1 gebruikt worden, zijn namelijk deprecated en hierdoor niet langer volledig bruikbaar op PHP 7.3 (zoals de each() function).

  • Voor meer informatie over het updaten van de each() function, kun je terecht op deze pagina van stackoverflow.
  • Lees deze pagina voor meer informatie over de wijzigingen van PHP 7.1 naar PHP 7.2.
  • Lees deze pagina voor meer informatie over de wijzigingen van PHP 7.2 naar PHP 7.3.

Hou er rekening mee dat wij geen inhoudelijke ondersteuning op bieden op het updaten van je website. Neem eventueel contact op met je websitebouwer voor verdere ondersteuning bij het upgraden van PHP 7.1 naar PHP 7.3.

Wanneer wij je webhostingpakket op 26 november 2019 omzetten naar PHP 7.3, heb je overigens nog wel de mogelijkheid om de PHP-versie terug te zetten naar PHP 7.2. Hieronder lees je hoe.


PHP-versie wijzigen

Je kunt op ieder gewenst moment de PHP-versie van je webhostingpakket wijzigen naar een andere beschikbare versie. Ga hiervoor binnen het controlepaneel naar het tabblad 'Domein & Hosting' en selecteer in de linkerkolom het betreffende domein (niet aanvinken).

Klik nu naast 'Jouw website' op het tandwiel en daarna op 'PHP-opties'.

ga naar Jouw website en klik op PHP-opties



Selecteer nu de gewenste PHP-versie in het dropdown-menu en klik op 'Wijzigen'. Het duurt ongeveer 15 minuten voordat de wijziging actief is.

Hier zie je de PHP opties van jouw webhostingpakket terug


Fouten weergeven

Op dezelfde pagina zie je ook de optie 'Fouten weergeven' terug. Door deze optie in te schakelen worden eventuele foutmeldingen direct getoond op je website, wat bij uitstek geschikt is voor het 'debuggen' van je website.

Wil je de foutmeldingen niet zichtbaar maken op je website, hou dan de optie 'Fouten weergegeven' uitgeschakeld. De foutmeldingen van je website (als deze voorkomen) zijn in alle gevallen in te zien via je controlepaneel.

Selecteer hiervoor opnieuw je domeinnaam in 'Domein & Hosting' en klik op 'Jouw website beheren'. Op deze pagina klik je opnieuw op het tandwiel, gevolgd door 'Error Log'.


Ik zie een foutmelding na het wijzigen van de PHP-versie

In dat geval is het mogelijk dat je website, plug-ins (WordPress) of extensies (Joomla!) verouderd zijn en niet direct bruikbaar zijn met PHP 7.1, 7.2 of 7.3. In het artikel 'Foutmeldingen na het upgraden van de PHP-versie van je webhostingpakket' lees je hoe je dit oplost.



In dit artikel hebben we uitgelegd hoe je de PHP-versie van je website wijzigt. Daarnaast hebben we aandacht besteed aan het inzien van de eventuele foutmeldingen van je website.

Mocht je aan de hand van dit artikel nog vragen hebben, aarzel dan niet om onze supportafdeling te benaderen. Je kunt hen bereiken via de knop 'Neem contact op' aan de onderzijde van deze pagina.

Wil je dit artikel met andere gebruikers bespreken, laat dan vooral een bericht achter onder 'Reacties'.

Heb je ook een goed idee?

Stuur jouw idee in! Met genoeg stemmen komt jouw idee op onze wishlist!

Heeft dit artikel je geholpen?

Maak een account aan of log in om een beoordeling achter te laten.

Reacties

Maak een account aan of log in om een reactie te plaatsen.

0
trijman 5 oktober 2019 (#3601)

Hi Murat, nee helaas niet, ik heb uiteindelijk een andere theme aangeschaft...

0
murat 5 oktober 2019 (#3600)

@trijman, ik heb dit probleem nu ook! is het op te lossen?

0
Nick Brouwer Admin 9 september 2019 (#3503)

@trijman

De max_execution_time staat inderdaad serverbreed vastgesteld op een limiet van 120. Hierdoor kunnen plug-ins en themes die een hogere max_execution_time nodig hebben, niet worden gebruikt op ons shared webhostingplatform.

Mocht je je theme hierdoor niet kunnen gebruiken, dan raden we aan om contact op te nemen met de ontwikkelaar om na te gaan of je de kosten retour kunt krijgen.

0
trijman 23 augustus 2019 (#3434)

Hallo, ik krijg ook de melding: 'PHP Time Limit: 120 - We recommend setting max execution time to at least 180' , is dit helemaal niet op te lossen dan? Want ik heb net een theme gekocht en het zou een beetje zonde zijn als ik die niet kan gebruiken. Bij andere partijen werkt dat wel. Ik hoop dat er toch wat mogelijk is.. Groeten, Martijn

0
Nick Brouwer Admin 3 december 2018 (#2323)

@kyra1967

Hoi Bart,

Om de stabiliteit van ons shared webhostingplatform te kunnen garanderen, zijn enkele features ervan serverbreed op een vast limiet ingesteld. Zo staat de max execution time op 120 en kan deze helaas niet verhoogd worden. In dit geval raden we aan om een alternatieve plug-in of thema te gebruiken.

Mocht je hier meer vragen over hebben, raad ik je aan contact op te nemen met onze supportafdeling. Je kan hen bereiken via de knop 'Contact' in je controlepaneel en de knop 'Neem contact op' aan de onderzijde van deze pagina.

0
kyra1967 2 december 2018 (#2321)

Hallo,

Ik krijg de melding 'PHP Time Limit: 120 - We recommend setting max execution time to at least 180.

Waar kan ik dit veranderen?

MVG Bart

0
Nick Brouwer Admin 23 november 2018 (#2277)

@giuliagtc

Deze plek is bedoeld om over dit artikel met andere gebruikers te discussiëren. Mocht je het antwoord op je vraag niet in dit artikel terug kunnen vinden, dan helpen onze helden van support je hier graag bij! Je kunt hen benaderen door de knop 'Neem contact op' aan de onderkant van deze pagina te gebruiken.

0
giuliagtc 22 november 2018 (#2272)

Beste servicedesk medewerker,

Na de php 7.2 upgrade ( van 31 okt jl) kunnen wij niet meer bij de beheer omgeving van onze web site: www.giulia.com/admin

De huidige WP versie van onze site die nu in productie staat is 4.3.17 De overige publieke website functies werken naar behoren. Hoe dit op te lossen? graag spoedig reactie, vriendelijke groet, Cees

0
heleendegreef 9 november 2018 (#2202)

@nepal2fairtrade, Top deze extra uitleg! Inderdaad het ene tandwiel is schijnbaar het andere niet.

1
nepal2fairtrade 23 september 2018 (#1978)

Gelukt! de ene tandwiel is de andere niet. EERST op Website beheren klikken en dan het nieuwe tandwiel drukken. Dan zie je de PHP optie wel.

0
tammywong 13 september 2018 (#1937)

@magikb, gelukt tenx

0
magikb 12 september 2018 (#1935)

@tammywong, ook niet als je op geavanceerd drukt? Ik kreeg zelf pas de verschillende opties te zien nadat ik op geavanceerd had gedrukt. Succes.

0
emss 12 september 2018 (#1934)

Prima uitleg!!!

0
Nick Brouwer Admin 12 september 2018 (#1932)

@2link

Wanneer je geen veranderingen ziet, is je website helemaal klaar voor PHP 7.2 :-) Zolang dit in je controlepaneel bij PHP-opties ook zo staat, zal je webhostingpakket PHP 7.2 gebruiken. Mocht je verder nog vragen hebben, dan kun je hier het beste ons supportteam voor benaderen.

Je kan ze bereiken met de 'Neem contact op' knop aan de onderzijde van deze pagina.

0
Nick Brouwer Admin 12 september 2018 (#1931)

@tammywong

Het is van belang dat je in het controlepaneel links het domein selecteert en dan eerst op 'Jouw website beheren' klikt. Als je daarna op het tandwiel klikt, zul je de optie 'PHP-opties' te zien krijgen.

0
Nick Brouwer Admin 12 september 2018 (#1930)

@ivana85

This article shows you all the steps on changing your PHP version. If you are unable to do so, please send a message with some screenshots to our support team. They will gladly help you with changing the PHP version :-)

You can reach them by using the 'Neem contact op' button below.

0
2link 12 september 2018 (#1929)

Ik heb de error Log bekeken en zie geen fouten. Er staat helemaal niets. Betekent het dan dat de php wijziging naar 7.2 succesvol verlopen is? Hoe check ik dat?

0
tammywong 12 september 2018 (#1925)

beste allen, ik zie bij mij in controlpanel geen optie om PHP aan te klikken... geldt dit dan nog voor mij?

0
ivana85 11 september 2018 (#1922)

Beste, I also can't see and I don't have a PHP option so I can't do the update that I need to do. Can you please help me?

0
Nick Brouwer Admin 17 augustus 2018 (#1780)

@ncploeger

Let er op dat je eerst naar 'Jouw website beheren' gaat en daarna op het tandwiel klikt. Je zult vervolgens de knop 'PHP-opties' terug zien.

Zie je dit niet, stuur dan wat screenshots van de stappen die je uitvoert naar onze supportafdeling. Zij kunnen dit verder voor je onderzoeken! Je bereikt ze door de knop 'Neem contact op' aan de onderkant van deze pagina te gebruiken.

0
ncploeger 17 augustus 2018 (#1779)

Ik krijg geen PHP knop te zien als ik naar de instellingen ga.

0
Nick Brouwer Admin 24 mei 2018 (#1320)

@nepal2fairtrade

We hebben dit zojuist gecontroleerd en zien dat de genoemde PHP versies 5.6, 7 en 7.1 alle drie beschikbaar zijn in jouw account.

Mocht je dit niet zien, probeer dan de stappen uit het artikel nogmaals te volgen. Zie je het nog steeds niet terug, neem dan contact op met onze supportafdeling. Je kunt hen bereiken via de knop 'Neem contact op' aan de onderzijde van deze pagina.

0
nepal2fairtrade 24 mei 2018 (#1316)

De gestelde opties om PHP versie te kiezen zijn niet aanwezig in mijn scherm.

Kom je er niet uit?

Ontvang persoonlijke hulp van onze supporters

Neem contact op